Article ID: 126274, created on Jul 21, 2015, last review on Jul 21, 2015

  • Applies to:
  • Odin Business Automation Standard 4.5

Symptoms

OBAS is migrated to a container with upgraded OS (e.g. from CentOS 5 x86 to CentOS 6 x86_64) according to How to upgrade OS (major) of PBA-S server or migrate PBA-S to new container, but hspc-mn-backup utility fails with an error:

[ DIE ] [Backup] MySQL version '5.1.66' does not match '5.0.95' backup is created for.

Cause

MySQL versions do not match in source and destination containers.

Resolution

  1. On the destination container remove mysql-server, mysql-libs and mysql packages:

    # rpm -e mysql-server --nodeps 
    # rpm -e mysql --nodeps 
    # rpm -e mysql-libs --nodeps
    
  2. Download and install mysql-server, mysql-libs and mysql packages with version matching ones on the source container:

    # rpm -i mysql-server-5.0.95-1.el5_7.1.x86_64.rpm --nodeps
    # rpm -i mysql-libs-5.0.95-1.el5_7.1.x86_64.rpm --nodeps
    # rpm -i mysql-5.0.95-1.el5_7.1.x86_64.rpm --nodeps
    
  3. Re-initiate migration on the source container:

    # hspc-mn-backup -m root@[TMP_IP] –d
    

Search Words

migration

MySQL version does not match backup is created for

[ DIE ] [Backup] MySQL version '5.1.66' does not match '5.0.95' backup is created for.

624ca542e40215e6f1d39170d8e7ec75 caea8340e2d186a540518d08602aa065 400e18f6ede9f8be5575a475d2d6b0a6 70a5401e8b9354cd1d64d0346f2c4a3e

Email subscription for changes to this article
Save as PDF